# Form implementation generated from reading ui file 'src/eric7/VCS/RepositoryInfoDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_VcsRepositoryInfoDialog(object):
    def setupUi(self, VcsRepositoryInfoDialog):
        VcsRepositoryInfoDialog.setObjectName("VcsRepositoryInfoDialog")
        VcsRepositoryInfoDialog.resize(590, 437)
        VcsRepositoryInfoDialog.setSizeGripEnabled(True)
        self.vboxlayout = QtWidgets.QVBoxLayout(VcsRepositoryInfoDialog)
        self.vboxlayout.setObjectName("vboxlayout")
        self.infoBrowser = QtWidgets.QTextEdit(parent=VcsRepositoryInfoDialog)
        self.infoBrowser.setReadOnly(True)
        self.infoBrowser.setObjectName("infoBrowser")
        self.vboxlayout.addWidget(self.infoBrowser)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=VcsRepositoryInfoDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.vboxlayout.addWidget(self.buttonBox)

        self.retranslateUi(VcsRepositoryInfoDialog)
        self.buttonBox.accepted.connect(VcsRepositoryInfoDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(VcsRepositoryInfoDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(VcsRepositoryInfoDialog)

    def retranslateUi(self, VcsRepositoryInfoDialog):
        _translate = QtCore.QCoreApplication.translate
        VcsRepositoryInfoDialog.setWindowTitle(_translate("VcsRepositoryInfoDialog", "Repository Information"))
